Home | All Classes | Grouped Classes | Index | Search

# CL_GlyphBuffer::internal_rect

Returns the area occupied by glyphs inside the glyph buffer's coordinate space.

    	CL_Rect internal_rect(
    		bool ignore_invis = true);

    	CL_Rect internal_rect(
    		int idx, bool ignore_invis = true);

    	CL_Rect internal_rect(
    		Range range, bool ignore_invis = true);

Parameters:

range
  The subsection of the glyphs vector to get the internal bounding rect of.
idx
  The vector index of a single glyph to get the internal bounding rect of.
ignore_invis
  If true, ignores invisible glyphs (glyphs without an actual visual glyph in the font)

Return value:

The area occupied by all glyphs, inside the buffer. If buffer is empty, returns a rectangle with zero size.

See also:

CL_Rect | CL_GlyphBuffer

Questions or comments, write to the ClanLib mailing list.